Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network150.2.0.0/17
Usable hosts32,766
Subnet mask255.255.128.0
Addresses32,768
Network address
150.2.0.0
Broadcast address
150.2.127.255
First usable
150.2.0.1
Last usable
150.2.127.254
Usable hosts
32,766 (32,768 less the network and broadcast addresses)
Subnet mask
255.255.128.0
Wildcard mask
0.0.127.255 (Cisco ACLs, OSPF)
Prefix length
/17
Type
Public public
Old class
B (default /16)
As numbers
Hex 96020000 · Integer 2516713472 to 2516746239
Reverse DNS zones
0.2.150.in-addr.arpa
1.2.150.in-addr.arpa
2.2.150.in-addr.arpa
3.2.150.in-addr.arpa
4.2.150.in-addr.arpa
5.2.150.in-addr.arpa
6.2.150.in-addr.arpa
7.2.150.in-addr.arpa
8.2.150.in-addr.arpa
9.2.150.in-addr.arpa
10.2.150.in-addr.arpa
11.2.150.in-addr.arpa
12.2.150.in-addr.arpa
13.2.150.in-addr.arpa
14.2.150.in-addr.arpa
15.2.150.in-addr.arpa
and 112 more
/17 is not on a 8-bit boundary, so it takes 128 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10010110.00000010.00000000.00000000150.2.0.0
Subnet mask11111111.11111111.10000000.00000000255.255.128.0
Network10010110.00000010.00000000.00000000150.2.0.0
Broadcast10010110.00000010.01111111.11111111150.2.127.255
Split into smaller subnets/27

150.2.0.0/17 makes 1,024 subnets of /27; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1150.2.0.0/27150.2.0.1 to 150.2.0.30150.2.0.3130
2150.2.0.32/27150.2.0.33 to 150.2.0.62150.2.0.6330
3150.2.0.64/27150.2.0.65 to 150.2.0.94150.2.0.9530
4150.2.0.96/27150.2.0.97 to 150.2.0.126150.2.0.12730
5150.2.0.128/27150.2.0.129 to 150.2.0.158150.2.0.15930
6150.2.0.160/27150.2.0.161 to 150.2.0.190150.2.0.19130
7150.2.0.192/27150.2.0.193 to 150.2.0.222150.2.0.22330
8150.2.0.224/27150.2.0.225 to 150.2.0.254150.2.0.25530
9150.2.1.0/27150.2.1.1 to 150.2.1.30150.2.1.3130
10150.2.1.32/27150.2.1.33 to 150.2.1.62150.2.1.6330
11150.2.1.64/27150.2.1.65 to 150.2.1.94150.2.1.9530
12150.2.1.96/27150.2.1.97 to 150.2.1.126150.2.1.12730
13150.2.1.128/27150.2.1.129 to 150.2.1.158150.2.1.15930
14150.2.1.160/27150.2.1.161 to 150.2.1.190150.2.1.19130
15150.2.1.192/27150.2.1.193 to 150.2.1.222150.2.1.22330
16150.2.1.224/27150.2.1.225 to 150.2.1.254150.2.1.25530
17150.2.2.0/27150.2.2.1 to 150.2.2.30150.2.2.3130
18150.2.2.32/27150.2.2.33 to 150.2.2.62150.2.2.6330
19150.2.2.64/27150.2.2.65 to 150.2.2.94150.2.2.9530
20150.2.2.96/27150.2.2.97 to 150.2.2.126150.2.2.12730
21150.2.2.128/27150.2.2.129 to 150.2.2.158150.2.2.15930
22150.2.2.160/27150.2.2.161 to 150.2.2.190150.2.2.19130
23150.2.2.192/27150.2.2.193 to 150.2.2.222150.2.2.22330
24150.2.2.224/27150.2.2.225 to 150.2.2.254150.2.2.25530
25150.2.3.0/27150.2.3.1 to 150.2.3.30150.2.3.3130
26150.2.3.32/27150.2.3.33 to 150.2.3.62150.2.3.6330
27150.2.3.64/27150.2.3.65 to 150.2.3.94150.2.3.9530
28150.2.3.96/27150.2.3.97 to 150.2.3.126150.2.3.12730
29150.2.3.128/27150.2.3.129 to 150.2.3.158150.2.3.15930
30150.2.3.160/27150.2.3.161 to 150.2.3.190150.2.3.19130
31150.2.3.192/27150.2.3.193 to 150.2.3.222150.2.3.22330
32150.2.3.224/27150.2.3.225 to 150.2.3.254150.2.3.25530
33150.2.4.0/27150.2.4.1 to 150.2.4.30150.2.4.3130
34150.2.4.32/27150.2.4.33 to 150.2.4.62150.2.4.6330
35150.2.4.64/27150.2.4.65 to 150.2.4.94150.2.4.9530
36150.2.4.96/27150.2.4.97 to 150.2.4.126150.2.4.12730
37150.2.4.128/27150.2.4.129 to 150.2.4.158150.2.4.15930
38150.2.4.160/27150.2.4.161 to 150.2.4.190150.2.4.19130
39150.2.4.192/27150.2.4.193 to 150.2.4.222150.2.4.22330
40150.2.4.224/27150.2.4.225 to 150.2.4.254150.2.4.25530
41150.2.5.0/27150.2.5.1 to 150.2.5.30150.2.5.3130
42150.2.5.32/27150.2.5.33 to 150.2.5.62150.2.5.6330
43150.2.5.64/27150.2.5.65 to 150.2.5.94150.2.5.9530
44150.2.5.96/27150.2.5.97 to 150.2.5.126150.2.5.12730
45150.2.5.128/27150.2.5.129 to 150.2.5.158150.2.5.15930
46150.2.5.160/27150.2.5.161 to 150.2.5.190150.2.5.19130
47150.2.5.192/27150.2.5.193 to 150.2.5.222150.2.5.22330
48150.2.5.224/27150.2.5.225 to 150.2.5.254150.2.5.25530
49150.2.6.0/27150.2.6.1 to 150.2.6.30150.2.6.3130
50150.2.6.32/27150.2.6.33 to 150.2.6.62150.2.6.6330
51150.2.6.64/27150.2.6.65 to 150.2.6.94150.2.6.9530
52150.2.6.96/27150.2.6.97 to 150.2.6.126150.2.6.12730
53150.2.6.128/27150.2.6.129 to 150.2.6.158150.2.6.15930
54150.2.6.160/27150.2.6.161 to 150.2.6.190150.2.6.19130
55150.2.6.192/27150.2.6.193 to 150.2.6.222150.2.6.22330
56150.2.6.224/27150.2.6.225 to 150.2.6.254150.2.6.25530
57150.2.7.0/27150.2.7.1 to 150.2.7.30150.2.7.3130
58150.2.7.32/27150.2.7.33 to 150.2.7.62150.2.7.6330
59150.2.7.64/27150.2.7.65 to 150.2.7.94150.2.7.9530
60150.2.7.96/27150.2.7.97 to 150.2.7.126150.2.7.12730
61150.2.7.128/27150.2.7.129 to 150.2.7.158150.2.7.15930
62150.2.7.160/27150.2.7.161 to 150.2.7.190150.2.7.19130
63150.2.7.192/27150.2.7.193 to 150.2.7.222150.2.7.22330
64150.2.7.224/27150.2.7.225 to 150.2.7.254150.2.7.25530
65150.2.8.0/27150.2.8.1 to 150.2.8.30150.2.8.3130
66150.2.8.32/27150.2.8.33 to 150.2.8.62150.2.8.6330
67150.2.8.64/27150.2.8.65 to 150.2.8.94150.2.8.9530
68150.2.8.96/27150.2.8.97 to 150.2.8.126150.2.8.12730
69150.2.8.128/27150.2.8.129 to 150.2.8.158150.2.8.15930
70150.2.8.160/27150.2.8.161 to 150.2.8.190150.2.8.19130
71150.2.8.192/27150.2.8.193 to 150.2.8.222150.2.8.22330
72150.2.8.224/27150.2.8.225 to 150.2.8.254150.2.8.25530
73150.2.9.0/27150.2.9.1 to 150.2.9.30150.2.9.3130
74150.2.9.32/27150.2.9.33 to 150.2.9.62150.2.9.6330
75150.2.9.64/27150.2.9.65 to 150.2.9.94150.2.9.9530
76150.2.9.96/27150.2.9.97 to 150.2.9.126150.2.9.12730
77150.2.9.128/27150.2.9.129 to 150.2.9.158150.2.9.15930
78150.2.9.160/27150.2.9.161 to 150.2.9.190150.2.9.19130
79150.2.9.192/27150.2.9.193 to 150.2.9.222150.2.9.22330
80150.2.9.224/27150.2.9.225 to 150.2.9.254150.2.9.25530
81150.2.10.0/27150.2.10.1 to 150.2.10.30150.2.10.3130
82150.2.10.32/27150.2.10.33 to 150.2.10.62150.2.10.6330
83150.2.10.64/27150.2.10.65 to 150.2.10.94150.2.10.9530
84150.2.10.96/27150.2.10.97 to 150.2.10.126150.2.10.12730
85150.2.10.128/27150.2.10.129 to 150.2.10.158150.2.10.15930
86150.2.10.160/27150.2.10.161 to 150.2.10.190150.2.10.19130
87150.2.10.192/27150.2.10.193 to 150.2.10.222150.2.10.22330
88150.2.10.224/27150.2.10.225 to 150.2.10.254150.2.10.25530
89150.2.11.0/27150.2.11.1 to 150.2.11.30150.2.11.3130
90150.2.11.32/27150.2.11.33 to 150.2.11.62150.2.11.6330
91150.2.11.64/27150.2.11.65 to 150.2.11.94150.2.11.9530
92150.2.11.96/27150.2.11.97 to 150.2.11.126150.2.11.12730
93150.2.11.128/27150.2.11.129 to 150.2.11.158150.2.11.15930
94150.2.11.160/27150.2.11.161 to 150.2.11.190150.2.11.19130
95150.2.11.192/27150.2.11.193 to 150.2.11.222150.2.11.22330
96150.2.11.224/27150.2.11.225 to 150.2.11.254150.2.11.25530
97150.2.12.0/27150.2.12.1 to 150.2.12.30150.2.12.3130
98150.2.12.32/27150.2.12.33 to 150.2.12.62150.2.12.6330
99150.2.12.64/27150.2.12.65 to 150.2.12.94150.2.12.9530
100150.2.12.96/27150.2.12.97 to 150.2.12.126150.2.12.12730
101150.2.12.128/27150.2.12.129 to 150.2.12.158150.2.12.15930
102150.2.12.160/27150.2.12.161 to 150.2.12.190150.2.12.19130
103150.2.12.192/27150.2.12.193 to 150.2.12.222150.2.12.22330
104150.2.12.224/27150.2.12.225 to 150.2.12.254150.2.12.25530
105150.2.13.0/27150.2.13.1 to 150.2.13.30150.2.13.3130
106150.2.13.32/27150.2.13.33 to 150.2.13.62150.2.13.6330
107150.2.13.64/27150.2.13.65 to 150.2.13.94150.2.13.9530
108150.2.13.96/27150.2.13.97 to 150.2.13.126150.2.13.12730
109150.2.13.128/27150.2.13.129 to 150.2.13.158150.2.13.15930
110150.2.13.160/27150.2.13.161 to 150.2.13.190150.2.13.19130
111150.2.13.192/27150.2.13.193 to 150.2.13.222150.2.13.22330
112150.2.13.224/27150.2.13.225 to 150.2.13.254150.2.13.25530
113150.2.14.0/27150.2.14.1 to 150.2.14.30150.2.14.3130
114150.2.14.32/27150.2.14.33 to 150.2.14.62150.2.14.6330
115150.2.14.64/27150.2.14.65 to 150.2.14.94150.2.14.9530
116150.2.14.96/27150.2.14.97 to 150.2.14.126150.2.14.12730
117150.2.14.128/27150.2.14.129 to 150.2.14.158150.2.14.15930
118150.2.14.160/27150.2.14.161 to 150.2.14.190150.2.14.19130
119150.2.14.192/27150.2.14.193 to 150.2.14.222150.2.14.22330
120150.2.14.224/27150.2.14.225 to 150.2.14.254150.2.14.25530
121150.2.15.0/27150.2.15.1 to 150.2.15.30150.2.15.3130
122150.2.15.32/27150.2.15.33 to 150.2.15.62150.2.15.6330
123150.2.15.64/27150.2.15.65 to 150.2.15.94150.2.15.9530
124150.2.15.96/27150.2.15.97 to 150.2.15.126150.2.15.12730
125150.2.15.128/27150.2.15.129 to 150.2.15.158150.2.15.15930
126150.2.15.160/27150.2.15.161 to 150.2.15.190150.2.15.19130
127150.2.15.192/27150.2.15.193 to 150.2.15.222150.2.15.22330
128150.2.15.224/27150.2.15.225 to 150.2.15.254150.2.15.25530
129150.2.16.0/27150.2.16.1 to 150.2.16.30150.2.16.3130
130150.2.16.32/27150.2.16.33 to 150.2.16.62150.2.16.6330
131150.2.16.64/27150.2.16.65 to 150.2.16.94150.2.16.9530
132150.2.16.96/27150.2.16.97 to 150.2.16.126150.2.16.12730
133150.2.16.128/27150.2.16.129 to 150.2.16.158150.2.16.15930
134150.2.16.160/27150.2.16.161 to 150.2.16.190150.2.16.19130
135150.2.16.192/27150.2.16.193 to 150.2.16.222150.2.16.22330
136150.2.16.224/27150.2.16.225 to 150.2.16.254150.2.16.25530
137150.2.17.0/27150.2.17.1 to 150.2.17.30150.2.17.3130
138150.2.17.32/27150.2.17.33 to 150.2.17.62150.2.17.6330
139150.2.17.64/27150.2.17.65 to 150.2.17.94150.2.17.9530
140150.2.17.96/27150.2.17.97 to 150.2.17.126150.2.17.12730
141150.2.17.128/27150.2.17.129 to 150.2.17.158150.2.17.15930
142150.2.17.160/27150.2.17.161 to 150.2.17.190150.2.17.19130
143150.2.17.192/27150.2.17.193 to 150.2.17.222150.2.17.22330
144150.2.17.224/27150.2.17.225 to 150.2.17.254150.2.17.25530
145150.2.18.0/27150.2.18.1 to 150.2.18.30150.2.18.3130
146150.2.18.32/27150.2.18.33 to 150.2.18.62150.2.18.6330
147150.2.18.64/27150.2.18.65 to 150.2.18.94150.2.18.9530
148150.2.18.96/27150.2.18.97 to 150.2.18.126150.2.18.12730
149150.2.18.128/27150.2.18.129 to 150.2.18.158150.2.18.15930
150150.2.18.160/27150.2.18.161 to 150.2.18.190150.2.18.19130
151150.2.18.192/27150.2.18.193 to 150.2.18.222150.2.18.22330
152150.2.18.224/27150.2.18.225 to 150.2.18.254150.2.18.25530
153150.2.19.0/27150.2.19.1 to 150.2.19.30150.2.19.3130
154150.2.19.32/27150.2.19.33 to 150.2.19.62150.2.19.6330
155150.2.19.64/27150.2.19.65 to 150.2.19.94150.2.19.9530
156150.2.19.96/27150.2.19.97 to 150.2.19.126150.2.19.12730
157150.2.19.128/27150.2.19.129 to 150.2.19.158150.2.19.15930
158150.2.19.160/27150.2.19.161 to 150.2.19.190150.2.19.19130
159150.2.19.192/27150.2.19.193 to 150.2.19.222150.2.19.22330
160150.2.19.224/27150.2.19.225 to 150.2.19.254150.2.19.25530
161150.2.20.0/27150.2.20.1 to 150.2.20.30150.2.20.3130
162150.2.20.32/27150.2.20.33 to 150.2.20.62150.2.20.6330
163150.2.20.64/27150.2.20.65 to 150.2.20.94150.2.20.9530
164150.2.20.96/27150.2.20.97 to 150.2.20.126150.2.20.12730
165150.2.20.128/27150.2.20.129 to 150.2.20.158150.2.20.15930
166150.2.20.160/27150.2.20.161 to 150.2.20.190150.2.20.19130
167150.2.20.192/27150.2.20.193 to 150.2.20.222150.2.20.22330
168150.2.20.224/27150.2.20.225 to 150.2.20.254150.2.20.25530
169150.2.21.0/27150.2.21.1 to 150.2.21.30150.2.21.3130
170150.2.21.32/27150.2.21.33 to 150.2.21.62150.2.21.6330
171150.2.21.64/27150.2.21.65 to 150.2.21.94150.2.21.9530
172150.2.21.96/27150.2.21.97 to 150.2.21.126150.2.21.12730
173150.2.21.128/27150.2.21.129 to 150.2.21.158150.2.21.15930
174150.2.21.160/27150.2.21.161 to 150.2.21.190150.2.21.19130
175150.2.21.192/27150.2.21.193 to 150.2.21.222150.2.21.22330
176150.2.21.224/27150.2.21.225 to 150.2.21.254150.2.21.25530
177150.2.22.0/27150.2.22.1 to 150.2.22.30150.2.22.3130
178150.2.22.32/27150.2.22.33 to 150.2.22.62150.2.22.6330
179150.2.22.64/27150.2.22.65 to 150.2.22.94150.2.22.9530
180150.2.22.96/27150.2.22.97 to 150.2.22.126150.2.22.12730
181150.2.22.128/27150.2.22.129 to 150.2.22.158150.2.22.15930
182150.2.22.160/27150.2.22.161 to 150.2.22.190150.2.22.19130
183150.2.22.192/27150.2.22.193 to 150.2.22.222150.2.22.22330
184150.2.22.224/27150.2.22.225 to 150.2.22.254150.2.22.25530
185150.2.23.0/27150.2.23.1 to 150.2.23.30150.2.23.3130
186150.2.23.32/27150.2.23.33 to 150.2.23.62150.2.23.6330
187150.2.23.64/27150.2.23.65 to 150.2.23.94150.2.23.9530
188150.2.23.96/27150.2.23.97 to 150.2.23.126150.2.23.12730
189150.2.23.128/27150.2.23.129 to 150.2.23.158150.2.23.15930
190150.2.23.160/27150.2.23.161 to 150.2.23.190150.2.23.19130
191150.2.23.192/27150.2.23.193 to 150.2.23.222150.2.23.22330
192150.2.23.224/27150.2.23.225 to 150.2.23.254150.2.23.25530
193150.2.24.0/27150.2.24.1 to 150.2.24.30150.2.24.3130
194150.2.24.32/27150.2.24.33 to 150.2.24.62150.2.24.6330
195150.2.24.64/27150.2.24.65 to 150.2.24.94150.2.24.9530
196150.2.24.96/27150.2.24.97 to 150.2.24.126150.2.24.12730
197150.2.24.128/27150.2.24.129 to 150.2.24.158150.2.24.15930
198150.2.24.160/27150.2.24.161 to 150.2.24.190150.2.24.19130
199150.2.24.192/27150.2.24.193 to 150.2.24.222150.2.24.22330
200150.2.24.224/27150.2.24.225 to 150.2.24.254150.2.24.25530
201150.2.25.0/27150.2.25.1 to 150.2.25.30150.2.25.3130
202150.2.25.32/27150.2.25.33 to 150.2.25.62150.2.25.6330
203150.2.25.64/27150.2.25.65 to 150.2.25.94150.2.25.9530
204150.2.25.96/27150.2.25.97 to 150.2.25.126150.2.25.12730
205150.2.25.128/27150.2.25.129 to 150.2.25.158150.2.25.15930
206150.2.25.160/27150.2.25.161 to 150.2.25.190150.2.25.19130
207150.2.25.192/27150.2.25.193 to 150.2.25.222150.2.25.22330
208150.2.25.224/27150.2.25.225 to 150.2.25.254150.2.25.25530
209150.2.26.0/27150.2.26.1 to 150.2.26.30150.2.26.3130
210150.2.26.32/27150.2.26.33 to 150.2.26.62150.2.26.6330
211150.2.26.64/27150.2.26.65 to 150.2.26.94150.2.26.9530
212150.2.26.96/27150.2.26.97 to 150.2.26.126150.2.26.12730
213150.2.26.128/27150.2.26.129 to 150.2.26.158150.2.26.15930
214150.2.26.160/27150.2.26.161 to 150.2.26.190150.2.26.19130
215150.2.26.192/27150.2.26.193 to 150.2.26.222150.2.26.22330
216150.2.26.224/27150.2.26.225 to 150.2.26.254150.2.26.25530
217150.2.27.0/27150.2.27.1 to 150.2.27.30150.2.27.3130
218150.2.27.32/27150.2.27.33 to 150.2.27.62150.2.27.6330
219150.2.27.64/27150.2.27.65 to 150.2.27.94150.2.27.9530
220150.2.27.96/27150.2.27.97 to 150.2.27.126150.2.27.12730
221150.2.27.128/27150.2.27.129 to 150.2.27.158150.2.27.15930
222150.2.27.160/27150.2.27.161 to 150.2.27.190150.2.27.19130
223150.2.27.192/27150.2.27.193 to 150.2.27.222150.2.27.22330
224150.2.27.224/27150.2.27.225 to 150.2.27.254150.2.27.25530
225150.2.28.0/27150.2.28.1 to 150.2.28.30150.2.28.3130
226150.2.28.32/27150.2.28.33 to 150.2.28.62150.2.28.6330
227150.2.28.64/27150.2.28.65 to 150.2.28.94150.2.28.9530
228150.2.28.96/27150.2.28.97 to 150.2.28.126150.2.28.12730
229150.2.28.128/27150.2.28.129 to 150.2.28.158150.2.28.15930
230150.2.28.160/27150.2.28.161 to 150.2.28.190150.2.28.19130
231150.2.28.192/27150.2.28.193 to 150.2.28.222150.2.28.22330
232150.2.28.224/27150.2.28.225 to 150.2.28.254150.2.28.25530
233150.2.29.0/27150.2.29.1 to 150.2.29.30150.2.29.3130
234150.2.29.32/27150.2.29.33 to 150.2.29.62150.2.29.6330
235150.2.29.64/27150.2.29.65 to 150.2.29.94150.2.29.9530
236150.2.29.96/27150.2.29.97 to 150.2.29.126150.2.29.12730
237150.2.29.128/27150.2.29.129 to 150.2.29.158150.2.29.15930
238150.2.29.160/27150.2.29.161 to 150.2.29.190150.2.29.19130
239150.2.29.192/27150.2.29.193 to 150.2.29.222150.2.29.22330
240150.2.29.224/27150.2.29.225 to 150.2.29.254150.2.29.25530
241150.2.30.0/27150.2.30.1 to 150.2.30.30150.2.30.3130
242150.2.30.32/27150.2.30.33 to 150.2.30.62150.2.30.6330
243150.2.30.64/27150.2.30.65 to 150.2.30.94150.2.30.9530
244150.2.30.96/27150.2.30.97 to 150.2.30.126150.2.30.12730
245150.2.30.128/27150.2.30.129 to 150.2.30.158150.2.30.15930
246150.2.30.160/27150.2.30.161 to 150.2.30.190150.2.30.19130
247150.2.30.192/27150.2.30.193 to 150.2.30.222150.2.30.22330
248150.2.30.224/27150.2.30.225 to 150.2.30.254150.2.30.25530
249150.2.31.0/27150.2.31.1 to 150.2.31.30150.2.31.3130
250150.2.31.32/27150.2.31.33 to 150.2.31.62150.2.31.6330
251150.2.31.64/27150.2.31.65 to 150.2.31.94150.2.31.9530
252150.2.31.96/27150.2.31.97 to 150.2.31.126150.2.31.12730
253150.2.31.128/27150.2.31.129 to 150.2.31.158150.2.31.15930
254150.2.31.160/27150.2.31.161 to 150.2.31.190150.2.31.19130
255150.2.31.192/27150.2.31.193 to 150.2.31.222150.2.31.22330
256150.2.31.224/27150.2.31.225 to 150.2.31.254150.2.31.25530

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses